%def_disable debug

%def_enable mmx

%def_enable gpl

%def_enable motion_est
%def_enable core
%def_enable avformat
%def_enable dv
%def_enable feeds
%def_enable fezzik
%def_enable gtk
%def_enable inigo
%def_enable jackrack
%def_enable kino
%def_enable lumas
%def_enable normalize
%def_enable plus
%def_enable qimage
%def_enable resample
%def_enable sdl
%def_enable sox
%def_enable valerie
%def_enable vmfx
%def_enable vorbis
%def_enable westley
%def_enable xine
%def_with luma_compress
%define luma_bpp 16

%define Name MLT
Name: mlt
%define lname lib%name
Version: 0.2.2
Release: alt0.6
Summary: Multimedia framework designed for television broadcasting
License: GPL
Group: Video
URL: http://sourceforge.net/projects/%name
Packager: Alexey Morsov <swi@altlinux.ru>
Source: %name-%version.tar.bz2
Patch0: %name-0.2.2-modulesdir.patch
Patch1: %name-0.2.2-configure.patch
#Patch2: %name-0.2.2-x86_64.patch
Patch3: %name-0.2.2-sox.alt.patch
Patch4: %name-0.2.2-amd64.gentoo.patch

BuildRequires: ffmpeg
BuildRequires: libavformat-devel ffmpeg
BuildRequires: libgtk+2-devel
BuildRequires: libsamplerate-devel
BuildRequires: libSDL-devel libSDL_image-devel libX11-devel
BuildRequires: sox-devel libmad-devel
BuildRequires: libdv-devel
BuildRequires: gcc-c++ libquicktime-devel zlib-devel
BuildRequires: libvorbis-devel
BuildRequires: libxml2-devel
BuildRequires: gcc-c++ libqt3-devel
BuildRequires: ImageMagick
BuildRequires: ladspa_sdk jackit-devel
# this for bug in requires of sox-devel
BuildRequires: sox


%description
%Name is a multimedia framework designed for television broadcasting.


%if_enabled inigo
%package utils
Summary: %name utils
Group: Video
License: GPL

%description utils
%Name utils.
%endif


%package -n %lname
Summary: %Name framework library
License: GPL
Group: System/Libraries

%description -n %lname
%Name is a multimedia framework designed for television broadcasting.


%package -n %lname-devel
Summary: Development files for %Name framework
License: GPL
Group: Development/C
Requires: %lname = %version-%release

%description -n %lname-devel
Development files for %Name framework.


%package -n miracle
Summary: Multi-unit video playout server with realtime effects
License: GPL
Group: Video
Requires: libmiracle = %version-%release

%description -n miracle
Miracle is a multi-unit video playout server with realtime effects.


%package -n libmiracle
Summary: Miracle library
License: GPL
Group: System/Libraries

%description -n libmiracle
Library for Miracle.


%package -n libmiracle-devel
Summary: Development files for Miracle library
License: GPL
Group: Development/C
Requires: libmiracle = %version-%release
Requires: %lname-devel = %version-%release
%{?_enable_valerie:Requires: libvalerie-devel = %version-%release}

%description -n libmiracle-devel
Development files for Mirace library.


%if_enabled valerie
%package -n libvalerie
Summary: Valerie library
License: GPL
Group: System/Libraries

%description -n libvalerie
Library for Valerie.


%package -n libvalerie-devel
Summary: Development files for Valerie library
License: GPL
Group: Development/C
Requires: libvalerie = %version-%release
Requires: %lname-devel = %version-%release

%description -n libvalerie-devel
Development files for Valerie library.


%package -n valerie-utils
Summary: Valerie utils
Group: Video
License: GPL

%description -n valerie-utils
Valerie utils.
%endif


%prep
%setup -q
%patch0 -p1
%patch1 -p1
#patch2 -p1
%patch3 -p1
%patch4 -p1
subst 's/-mcpu=/-mtune=/g' configure


%build
%ifarch x86_64
%add_optflags -DARCH_X86_64
%else
%ifarch %ix86
%add_optflags -DARCH_X86
%endif
%endif
export CFLAGS="%optflags"
./configure --prefix=%_prefix --libdir=%_libdir \
	--enable-gpl \
	--enable-motion-est \
	--disable-mmx \
	--disable-debug \
	--luma-compress \
	--luma-8bpp

%make_build


%install
%make_install DESTDIR=%buildroot install


%post -n %lname -p %post_ldconfig
%postun -n %lname -p %postun_ldconfig


%post -n libmiracle -p %post_ldconfig
%postun -n libmiracle -p %postun_ldconfig


%if_enabled valerie
%post -n libvalerie -p %post_ldconfig
%postun -n libvalerie -p %postun_ldconfig
%endif


%if_enabled inigo
%files -n %name-utils
%doc docs/inigo.txt
%_bindir/inigo
%endif


%files -n %lname
%doc docs/services.txt %{?_enable_westley:docs/westley.txt}
%_libdir/%lname.so.*
%dir %_libdir/%name
%dir %_libdir/%name/modules
%_libdir/%name/modules/*
%dir %_datadir/%name
%_datadir/%name/*.dat
%dir %_datadir/%name/modules
%_datadir/%name/modules/*



%files -n %lname-devel
%doc docs/framework.txt
%_libdir/%lname.so
%dir %_includedir/%name
%_includedir/%name/framework
%_pkgconfigdir/%name-framework.pc
%_bindir/%name-config


%files -n miracle
%doc docs/dvcp.txt docs/testing.txt
%_bindir/miracle


%files -n libmiracle
%_libdir/libmiracle.so.*


%files -n libmiracle-devel
%_libdir/libmiracle.so
%_includedir/%name/miracle
%_pkgconfigdir/%name-miracle.pc


%if_enabled valerie
%files -n libvalerie
%_libdir/libvalerie.so.*


%files -n libvalerie-devel
%_libdir/libvalerie.so
%_includedir/%name/valerie
%_pkgconfigdir/%name-valerie.pc


%files -n valerie-utils
%doc docs/valerie.txt
%_bindir/albino
%_bindir/humperdink
%endif


%changelog
* Mon Apr 23 2007 Alexey Morsov <swi@altlinux.ru> 0.2.2-alt0.6
- add patch from gentoo to fix mmx on ix86
- disable mmx

* Fri Apr 20 2007 Alexey Morsov <swi@altlinux.ru> 0.2.2-alt0.5
- remove disable_fox and arch dependencies from spec (for sox >= 13.0)
- add patch for build with sox
- add sox in BR due to bug in req's in sox-devel

* Wed Feb 14 2007 Alexey Morsov <swi@altlinux.ru> 0.2.2-alt0.4
- add Packager (swi@)

* Wed Feb 14 2007 Led <led@altlinux.ru> 0.2.2-alt0.3
- fixed %name-0.2.2-modulesdir.patch

* Tue Feb 13 2007 Led <led@altlinux.ru> 0.2.2-alt0.2
- added %name-0.2.2-configure.patch
- added %name-0.2.2-x86_64.patch

* Tue Feb 13 2007 Led <led@altlinux.ru> 0.2.2-alt0.1
- initial build
- added %name-0.2.2-modulesdir.patch
